<?php
class Shipping 
{ 
	private $shippingGateWayKey;
   	public function __construct($shippingGateWayKey='')
	{
		if($shippingGateWayKey!='')
		{
			$this->shippingGateWayKey	=	$shippingGateWayKey;
			require_once($this->shippingGateWayKey.'/'.$this->shippingGateWayKey.".Class.php");
		}
		else
		{
			return false;	
		}
	}
	
	public function getShippingObject()
	{
		if($this->shippingGateWayKey!='')
		{
			if (class_exists($this->shippingGateWayKey)) {
    			return new $this->shippingGateWayKey();
			}
		}
		else
		{
			return false;	
		}
	}
}